# Generated by Django 3.1.3 on 2020-11-15 21:14

import aleksis.apps.posix.models
import django.contrib.sites.managers
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('sites', '0002_alter_domain_unique'),
        ('core', '0004_add_permissions_for_group_stats'),
    ]

    operations = [
        migrations.CreateModel(
            name='SSHKey',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('extended_data', models.JSONField(default=dict, editable=False)),
                ('name', models.CharField(default='SSH Public key', max_length=255, verbose_name='Name of this Key')),
                ('public_key', models.TextField(verbose_name='SSH public key')),
                ('person', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='ssh_keys', to='core.person', verbose_name='Person')),
                ('site', models.ForeignKey(default=1, editable=False, on_delete=django.db.models.deletion.CASCADE, to='sites.site')),
            ],
            options={
                'verbose_name': 'SSH key',
                'verbose_name_plural': 'SSH keys',
            },
            managers=[
                ('objects', django.contrib.sites.managers.CurrentSiteManager()),
            ],
        ),
        migrations.CreateModel(
            name='PersonPosixAttrs',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('extended_data', models.JSONField(default=dict, editable=False)),
                ('uid', models.PositiveIntegerField(unique=True, validators=[aleksis.apps.posix.models.validate_min_value_uid_preferences], verbose_name='UID Number')),
                ('home_directory', models.CharField(max_length=255, verbose_name='Home directory')),
                ('login_shell', models.CharField(default=aleksis.apps.posix.models.get_default_value_shell_preferences, max_length=255, verbose_name='Login shell')),
                ('primary_gid', models.PositiveIntegerField(default=aleksis.apps.posix.models.get_default_value_primary_gid_preferences, verbose_name='Primary GID Number')),
                ('username', models.CharField(max_length=32, unique=True, validators=[aleksis.apps.posix.models.validate_username_allowed], verbose_name='Username')),
                ('person', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='posix_attrs', to='core.person', verbose_name='Related person')),
                ('site', models.ForeignKey(default=1, editable=False, on_delete=django.db.models.deletion.CASCADE, to='sites.site')),
            ],
            options={
                'verbose_name': 'POSIX Attributes',
            },
            managers=[
                ('objects', django.contrib.sites.managers.CurrentSiteManager()),
            ],
        ),
        migrations.CreateModel(
            name='GroupPosixAttrs',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('extended_data', models.JSONField(default=dict, editable=False)),
                ('gid', models.IntegerField(unique=True, validators=[aleksis.apps.posix.models.validate_min_value_gid_preferences], verbose_name='GID Number')),
                ('group', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='posix_attrs', to='core.group', verbose_name='Related group')),
                ('site', models.ForeignKey(default=1, editable=False, on_delete=django.db.models.deletion.CASCADE, to='sites.site')),
            ],
            options={
                'verbose_name': 'POSIX Attributes',
            },
            managers=[
                ('objects', django.contrib.sites.managers.CurrentSiteManager()),
            ],
        ),
    ]
